Obtener un estado de cuenta
curl --request GET \
--url https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "ccs_7382910465728",
"account_id": "bacc_7Hk2938475610293",
"kind": "credit_card",
"period": "2026-10",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"statement_date": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"total_billed": 123,
"due_date": "2023-12-25",
"minimum_payment": 123,
"items_count": 123,
"file_url": "<string>"
}Estados de cuenta
Obtener un estado de cuenta
GET
/
bank-accounts
/
{account_id}
/
statements
/
{statement_id}
/
Obtener un estado de cuenta
curl --request GET \
--url https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tupana.ai/v2/bank-accounts/{account_id}/statements/{statement_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "ccs_7382910465728",
"account_id": "bacc_7Hk2938475610293",
"kind": "credit_card",
"period": "2026-10",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"statement_date": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"total_billed": 123,
"due_date": "2023-12-25",
"minimum_payment": 123,
"items_count": 123,
"file_url": "<string>"
}Un estado de cuenta por su id (
ccs_… en una tarjeta, bsu_… en una cuenta
corriente), con la misma forma que en el listado.
Si el estado de cuenta no es de esa cuenta, o la cuenta no es de tu
integración, responde 404.
curl https://api.tupana.ai/v2/bank-accounts/bacc_7Hk2938475610293/statements/ccs_7382910465728/ \
-H "Authorization: Api-Key TU_API_KEY"
Authorizations
API Key para autenticación. Debe proporcionarse en el header Authorization con el formato: 'Api-Key YOUR-API-KEY' (incluye el prefijo 'Api-Key ' seguido de tu API key)
Path Parameters
Example:
"bacc_7Hk2938475610293"
Example:
"ccs_7382910465728"
Response
Estado de cuenta
ccs_… en una tarjeta, bsu_… en una cuenta corriente.
Example:
"ccs_7382910465728"
Example:
"bacc_7Hk2938475610293"
Available options:
credit_card, bank_account Example:
"2026-10"
En una tarjeta, lo facturado del período.
PDF original, firmado por tiempo (1 h).
